Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf.wsdl
Class CxfWsdlMessageDispatcher

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageDispatcher
              org.mule.transport.cxf.CxfMessageDispatcher
                  org.mule.transport.cxf.wsdl.CxfWsdlMessageDispatcher

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageDispatcher, MessageDispatching

    public class CxfWsdlMessageDispatcher

extends CxfMessageDispatcher

TODO document

Field Summary

Fields inherited from class org.mule.transport.cxf.CxfMessageDispatcher
`connector, wrapper`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.transport.MessageDispatching
`RECEIVE_NO_WAIT, RECEIVE_WAIT_INDEFINITELY`

Constructor Summary
`CxfWsdlMessageDispatcher(OutboundEndpoint endpoint)`

Method Summary
`protected org.apache.cxf.endpoint.Client` | `createClient(org.apache.cxf.Bus bus, String wsdlUrl, String serviceName, String portName)`
`protected void` | `doConnect()`

Methods inherited from class org.mule.transport.cxf.CxfMessageDispatcher
`buildResponseMessage, doDisconnect, doDispatch, doDispose, doSend, doSendWithClient, doSendWithProxy, getArgs, parseSoapAction`

Methods inherited from class org.mule.transport.AbstractMessageDispatcher
`dispatch, dispose, getEndpoint, getWorkManager, initialise, isTransactionRollback, returnResponse, send`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, doStart, doStop, exceptionThrown, getConnectEventId, getConnectionDescription, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageDispatcher
`activate, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### CxfWsdlMessageDispatcher

    public CxfWsdlMessageDispatcher(OutboundEndpoint endpoint)

Method Detail

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `CxfMessageDispatcher`
  Throws:
    `Exception`

### createClient

    protected org.apache.cxf.endpoint.Client createClient(org.apache.cxf.Bus bus,
                                                          String wsdlUrl,
                                                          String serviceName,
                                                          String portName)
                                                   throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.